Package org.eclipse.emf.cdo.lm.impl

# Class ChangeImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl
org.eclipse.emf.internal.cdo.CDOObjectImpl
org.eclipse.emf.cdo.etypes.impl.ModelElementImpl
org.eclipse.emf.cdo.lm.impl.BaselineImpl
org.eclipse.emf.cdo.lm.impl.FloatingBaselineImpl
org.eclipse.emf.cdo.lm.impl.ChangeImpl

All Implemented Interfaces:
  `CDOObject`, `CDOWithID`, `CDOPackageTypeRegistry.CDOObjectMarker`, `ModelElement`, `Baseline`, `Change`, `FloatingBaseline`, `ModuleElement`, `StreamElement`, `SystemElement`, `Notifier`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `InternalCDOLoadable`, `InternalCDOObject`

public class ChangeImpl extends FloatingBaselineImpl implements Change
An implementation of the model object 'Change'.

Generated
No Extend
  This class is not intended to be subclassed by clients.

  The following features are implemented:

  - `Base`
  - `Label`
  - `Impact`
  - `Branch`
  - `Deliveries`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final CDOBranchRef`
`BRANCH_EDEFAULT`
The default value of the '`Branch`' attribute.
`protected static final Impact`
`IMPACT_EDEFAULT`
The default value of the '`Impact`' attribute.
`protected static final String`
`LABEL_EDEFAULT`
The default value of the '`Label`' attribute.

### Fields inherited from class org.eclipse.emf.cdo.lm.impl.FloatingBaselineImpl

`CLOSED_EDEFAULT`

### Fields inherited from class org.eclipse.emf.cdo.lm.impl.BaselineImpl

`FLOATING_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.cdo.lm.Baseline

`COMPARATOR`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ChangeImpl()`

## Method Summary

Modifier and Type
Method
Description
`FixedBaseline`
`basicGetBase()`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain`
`eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain`
`eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`FixedBaseline`
`getBase()`
`long`
`getBaseTimeStamp()`
`CDOBranchRef`
`getBranch()`
`EList<Delivery>`
`getDeliveries()`
`Delivery`
`getDelivery(Stream stream)`
`EList<Stream>`
`getDeliveryCandidateStreams()`
`BasePoint`
`getDeliveryPoint(Stream stream)`
`EList<Stream>`
`getDeliveryStreams()`
`Impact`
`getImpact()`
`String`
`getLabel()`
`String`
`getName()`
`boolean`
`isDeliverable()`
`void`
`setBase(FixedBaseline newBase)`
`void`
`setBranch(CDOBranchRef newBranch)`
`void`
`setImpact(Impact newImpact)`
`void`
`setLabel(String newLabel)`

### Methods inherited from class org.eclipse.emf.cdo.lm.impl.FloatingBaselineImpl

`eInvoke, getBranchPoint, isClosed, isFloating, setClosed`

### Methods inherited from class org.eclipse.emf.cdo.lm.impl.BaselineImpl

`basicSetStream, change, eBasicRemoveFromContainerFeature, getModule, getStream, getSystem, getTypeAndName, getTypeName, name, setStream, time`

### Methods inherited from class org.eclipse.emf.cdo.etypes.impl.ModelElementImpl

`eStaticFeatureCount, getAnnotation, getAnnotations`

### Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

`cdoClassInfo, cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPostRollback, cdoInternalPreAttach, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption, createFeatureMap, createList, createLock, createMap, createOrderedList, createUnorderedList, dynamicGet, dynamicSet, dynamicUnset, eAdapterAdded, eAdapterRemoved, eAdapters, eBasicAdapterListeners, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainer, eBasicSetSettings, eBasicSettings, eClass, eContainerAdapterArray, eContainerFeatureID, eDirectResource, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicIsSet, eHasSettings, eInternalContainer, eInternalResource, eIsCaching, emfToString, equals, eSetClass, eSetDirectResource, eSetResource, eSettings, eStore, getLockState, hashCode, instanceToRevisionFeature, revisionToInstanceFeature, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl

`eBasicContainerFeatureID, eBasicInternalContainer, eDerivedStructuralFeatureID`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eContents, eCrossReferences, eDeliver, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticOperationCount, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.lm.Baseline

`getBranchPoint, getStream, getTypeAndName, getTypeName, isFloating, setStream`

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoState, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.lm.FloatingBaseline

`isClosed, setClosed`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eDerivedOperationID, eDerivedStructuralFeatureID, eGet, eInverseAdd, eInverseRemove, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetProxyURI, eSetStore, eSetting, eURIFragmentSegment`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.cdo.lm.ModuleElement

`getModule`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.lm.SystemElement

`getSystem`

## Field Details

### LABEL_EDEFAULT

protected static final String LABEL_EDEFAULT
The default value of the '`Label`' attribute.

See Also:
  - `getLabel()`
Generated
Ordered

### IMPACT_EDEFAULT

protected static final Impact IMPACT_EDEFAULT
The default value of the '`Impact`' attribute.

See Also:
  - `getImpact()`
Generated
Ordered

### BRANCH_EDEFAULT

protected static final CDOBranchRef BRANCH_EDEFAULT
The default value of the '`Branch`' attribute.

See Also:
  - `getBranch()`
Generated
Ordered

## Constructor Details

### ChangeImpl

protected ChangeImpl()

Generated

## Method Details

### eStaticClass

protected EClass eStaticClass()

Overrides:
  `eStaticClass` in class `FloatingBaselineImpl`
Generated

### getBase

public FixedBaseline getBase()

Specified by:
  `getBase` in interface `Change`
Specified by:
  `getBase` in interface `FloatingBaseline`
Specified by:
  `getBase` in class `FloatingBaselineImpl`
Returns:
  the value of the 'Base' reference.
See Also:
  - `Change.setBase(FixedBaseline)`
  - `LMPackage.getChange_Base()`
Generated

### basicGetBase

public FixedBaseline basicGetBase()

Generated

### setBase

public void setBase(FixedBaseline newBase)

Specified by:
  `setBase` in interface `Change`
Parameters:
  `newBase` - the new value of the 'Base' reference.
See Also:
  - `Change.getBase()`
Generated

### getLabel

public String getLabel()

Specified by:
  `getLabel` in interface `Change`
Returns:
  the value of the 'Label' attribute.
See Also:
  - `Change.setLabel(String)`
  - `LMPackage.getChange_Label()`
Generated

### setLabel

public void setLabel(String newLabel)

Specified by:
  `setLabel` in interface `Change`
Parameters:
  `newLabel` - the new value of the 'Label' attribute.
See Also:
  - `Change.getLabel()`
Generated

### getImpact

public Impact getImpact()

Specified by:
  `getImpact` in interface `Change`
Returns:
  the value of the 'Impact' attribute.
See Also:
  - `Impact`
  - `Change.setImpact(Impact)`
  - `LMPackage.getChange_Impact()`
Generated

### setImpact

public void setImpact(Impact newImpact)

Specified by:
  `setImpact` in interface `Change`
Parameters:
  `newImpact` - the new value of the 'Impact' attribute.
See Also:
  - `Impact`
  - `Change.getImpact()`
Generated

### getBranch

public CDOBranchRef getBranch()

Specified by:
  `getBranch` in interface `Change`
Specified by:
  `getBranch` in interface `FloatingBaseline`
Specified by:
  `getBranch` in class `FloatingBaselineImpl`
Returns:
  the value of the 'Branch' attribute.
See Also:
  - `Change.setBranch(CDOBranchRef)`
  - `LMPackage.getChange_Branch()`
Generated

### setBranch

public void setBranch(CDOBranchRef newBranch)

Specified by:
  `setBranch` in interface `Change`
Parameters:
  `newBranch` - the new value of the 'Branch' attribute.
See Also:
  - `Change.getBranch()`
Generated

### getDeliveries

public EList<Delivery> getDeliveries()

Specified by:
  `getDeliveries` in interface `Change`
Specified by:
  `getDeliveries` in interface `FloatingBaseline`
Specified by:
  `getDeliveries` in class `FloatingBaselineImpl`
Returns:
  the value of the 'Deliveries' reference list.
See Also:
  - `LMPackage.getChange_Deliveries()`
  - `Delivery.getChange()`
Generated

### eInverseAdd

public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `BaselineImpl`
Generated

### eInverseRemove

public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `BaselineImpl`
Generated

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `InternalEObject`
Overrides:
  `eGet` in class `FloatingBaselineImpl`
Generated

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `InternalEObject`
Overrides:
  `eSet` in class `FloatingBaselineImpl`
Generated

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `InternalEObject`
Overrides:
  `eUnset` in class `FloatingBaselineImpl`
Generated

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `InternalEObject`
Overrides:
  `eIsSet` in class `FloatingBaselineImpl`
Generated

### getName

public String getName()
Description copied from class: `BaselineImpl`

Specified by:
  `getName` in interface `Baseline`
Specified by:
  `getName` in class `BaselineImpl`

### getBaseTimeStamp

public long getBaseTimeStamp()
Description copied from class: `BaselineImpl`

Specified by:
  `getBaseTimeStamp` in interface `Baseline`
Specified by:
  `getBaseTimeStamp` in class `BaselineImpl`

### getDeliveryStreams

public EList<Stream> getDeliveryStreams()

Specified by:
  `getDeliveryStreams` in interface `Change`

### getDelivery

public Delivery getDelivery(Stream stream)

Specified by:
  `getDelivery` in interface `Change`

### getDeliveryPoint

public BasePoint getDeliveryPoint(Stream stream)

Specified by:
  `getDeliveryPoint` in interface `Change`

### getDeliveryCandidateStreams

public EList<Stream> getDeliveryCandidateStreams()

Specified by:
  `getDeliveryCandidateStreams` in interface `Change`

### isDeliverable

public boolean isDeliverable()

Specified by:
  `isDeliverable` in interface `Change`